<?php

namespace Lc\SovBundle\Model\Ticket;


use Lc\SovBundle\Model\User\UserInterface;

interface TicketMessageInterface
{
    public function getCreatedBy(): ?UserInterface;

    public function setCreatedBy(?UserInterface $createdBy);

    public function getUpdatedBy(): ?UserInterface;

    public function setUpdatedBy(?UserInterface $updatedBy);

    public function getDevAlias(): ?string;

    public function setDevAlias(?string $devAlias);

    public function getStatus(): ?float;

    public function setStatus(float $status): TicketMessageInterface;

    public function getMessage(): ?string;

    public function setMessage(string $message): TicketMessageInterface;

    public function getTicket(): TicketInterface;

    public function setTicket(TicketInterface $ticket): TicketMessageInterface;

    public function getAnswerByAdmin(): ?bool;

    public function setAnswerByAdmin(?bool $answerByAdmin): TicketMessageInterface;

    public function getImageFilename(): ?string;

    public function setImageFilename(?string $imageFilename): TicketMessageInterface;

    public function getCreatedAt(): ?\DateTimeInterface;

    public function setCreatedAt(\DateTimeInterface $createdAt);

    public function getUpdatedAt(): ?\DateTimeInterface;

    public function setUpdatedAt(\DateTimeInterface $updatedAt);
}